#ifndef __CHAR_CONVERT_H__
#define __CHAR_CONVERT_H__

#include <string>
//using namespace std;

/* Functions */
std::string stringToUTF8(const std::string& str);
std::string UTF8Tostring(const std::string& str);
std::string UTF8ToURLString(const std::string& str);

char HexStrToChar(const std::string& str);
unsigned int StrToInt(const std::string& str);
//unsigned int UnicodeToString(const CString strIn, string& szOut);
//std::string CString2string(CString csStrData);
//string CString2string(CString csStrData);
//BYTE HexStrToChar(const string& szData);
extern std::string HexStr2Bytes(std::string strHex);
extern unsigned char TwoHexCharToChar(char ch1,char ch2) ;
extern std::string Bytes2HexStr( const unsigned char *pbuffer, int nLen );

#endif	/* __CHAR_CONVERT_H__ */